# Uses of Class
org.apache.avro.ipc.MD5

Packages that use MD5
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of MD5 in org.apache.avro.ipc

Methods in org.apache.avro.ipc that return MD5
Modifier and Type
Method
Description
`MD5`
HandshakeRequest.Builder.`getClientHash()`
Gets the value of the 'clientHash' field.
`MD5`
HandshakeRequest.`getClientHash()`
Gets the value of the 'clientHash' field.
`MD5`
HandshakeRequest.Builder.`getServerHash()`
Gets the value of the 'serverHash' field.
`MD5`
HandshakeRequest.`getServerHash()`
Gets the value of the 'serverHash' field.
`MD5`
HandshakeResponse.Builder.`getServerHash()`
Gets the value of the 'serverHash' field.
`MD5`
HandshakeResponse.`getServerHash()`
Gets the value of the 'serverHash' field.
Methods in org.apache.avro.ipc that return types with arguments of type MD5
Modifier and Type
Method
Description
`Optional<MD5>`
HandshakeRequest.Builder.`getOptionalClientHash()`
Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<MD5>`
HandshakeRequest.`getOptionalClientHash()`
Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<MD5>`
HandshakeRequest.Builder.`getOptionalServerHash()`
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<MD5>`
HandshakeRequest.`getOptionalServerHash()`
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<MD5>`
HandshakeResponse.Builder.`getOptionalServerHash()`
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<MD5>`
HandshakeResponse.`getOptionalServerHash()`
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
Methods in org.apache.avro.ipc with parameters of type MD5
Modifier and Type
Method
Description
`HandshakeRequest.Builder`
HandshakeRequest.Builder.`setClientHash(MD5 value)`
Sets the value of the 'clientHash' field.
`void`
HandshakeRequest.`setClientHash(MD5 value)`
Sets the value of the 'clientHash' field.
`HandshakeRequest.Builder`
HandshakeRequest.Builder.`setServerHash(MD5 value)`
Sets the value of the 'serverHash' field.
`void`
HandshakeRequest.`setServerHash(MD5 value)`
Sets the value of the 'serverHash' field.
`HandshakeResponse.Builder`
HandshakeResponse.Builder.`setServerHash(MD5 value)`
Sets the value of the 'serverHash' field.
`void`
HandshakeResponse.`setServerHash(MD5 value)`
Sets the value of the 'serverHash' field.
Constructors in org.apache.avro.ipc with parameters of type MD5
Modifier
Constructor
Description
``
`HandshakeRequest(MD5 clientHash, String clientProtocol, MD5 serverHash, Map<String,ByteBuffer> meta)`
All-args constructor.
``
`HandshakeResponse(HandshakeMatch match, String serverProtocol, MD5 serverHash, Map<String,ByteBuffer> meta)`
All-args constructor.